﻿using UnityEngine;
using System.Collections;

public class CheckPointManager : MonoBehaviour 
{
	//--- MEMBERS -----------------------------------------------------------------------------------------

	[SerializeField] private int _saveId;

	//---- METHODS ----------------------------------------------------------------------------------------

	void Start()
	{
		if(transform.childCount > 0)
			transform.GetChild (0).gameObject.SetActive(false);
	}

	//-----------------------------------------------------------------------------------------------------

	void OnTriggerEnter2D(Collider2D other) 
	{
		if (other.name == "Player - Caveman") 
		{
			if(transform.childCount > 0)
				transform.GetChild (0).gameObject.SetActive(true);
			


			if (_saveId == transform.parent.childCount - 1)
				StartCoroutine (GameManager.instance.PlayerAutoWalk (true));
			else 
			{
				GetComponent<Animator> ().SetBool ("isActive", true);
				GameManager.instance.SaveScene (_saveId);
			}
		}
	}
}
