﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;

[Serializable]
public class MovementParameters
{
    [Header("Movement")]
    public float movementSpeed = 5f;
    public float accelerationGround = 0.15f;
    public float accelerationAir = 0.1f;  

    [Header("Jump")]
    public float jumpForce = 5f;
    public Vector2 wallJumpForce = new Vector2(5, 2);
    public float gravity = -12f;
}

