﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;


public class PuzzlePiece : MonoBehaviour
{
    public int rotationFactor;

    //----------------------------------------------------------------------------------------------------

    public void Scramble()
    {
        rotationFactor = UnityEngine.Random.Range(0, 8);
        float degrees = rotationFactor * 45;    

        transform.localRotation = Quaternion.Euler(0, 0, degrees);
    }

    //----------------------------------------------------------------------------------------------------

    public void Rotate()
    {
        if (++rotationFactor == 8)
            rotationFactor = 0;

        transform.Rotate(new Vector3(0, 0, 45));
    }

    //----------------------------------------------------------------------------------------------------
}